Page MenuHomePhabricator

mergedriver: delete it
ClosedPublic

Authored by martinvonz on Sep 18 2020, 1:59 AM.

Details

Summary

The merge driver code was added in late 2015. I think
'406a654b::6f045b56 & user("sid0")' is a reasonable revset for finding
the relevant commits, including preparation for it. The code is very
poorly tested, which makes it very hard to maintain. It seems it's
only used by FB and they don't use this code base anymore, so let's
remove the code to make it easier for us to maintain our product.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

martinvonz created this revision.Sep 18 2020, 1:59 AM
martinvonz retitled this revision from RFC: mergedriver: delete it to mergedriver: delete it.Sep 18 2020, 11:40 AM
martinvonz edited the summary of this revision. (Show Details)
martinvonz updated this revision to Diff 22728.
pulkit accepted this revision.Sep 19 2020, 3:33 AM
pulkit added a subscriber: pulkit.

Looks good to me. Will push it if I don't hear any concerns in the next 4 days.

This revision is now accepted and ready to land.Sep 19 2020, 3:33 AM
indygreg accepted this revision.Sep 22 2020, 10:05 PM
This revision was automatically updated to reflect the committed changes.